curl --request GET \
--url https://api.deepreel.com/project/assets/video/ \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.deepreel.com/project/assets/video/"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.deepreel.com/project/assets/video/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"video_status": "Pending",
"creator": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"created_at": "2023-11-07T05:31:56Z"
}
]Get list of Videos generated
Get history of generated videos
Authorizations
Your API key with the prefix: dr_. This is required by all endpoints to access our API programatically. You can view your API Key by navigating to the account settings panel (In the bottom left corner click on your Account → profile)
Query Parameters
Sort by the date of video creation (Ascending/Descending). If not provided, the resultset will be sort by newest to oldest. * created_at - Sort by ascending created at date (oldest to newest) * -created_at - Sort by decending created at date (newest to oldest)
-created_at, created_at Response
Unique Identifier of the Video.
Name of the Video.
Status of the video i.e. whether it's completed or failed.
Pending- PendingComplete- CompleteQueued- QueuedProcessing- ProcessingFailed- Failed
Pending, Complete, Queued, Processing, Failed Detail of the user who generated the video.
Show child attributes
Show child attributes
DateTime when the video generation was requested.
